laesy(3)

NAME
laesy - laesy: 2x2 eig

SYNOPSIS

  Functions

subroutine claesy (a, b, c, rt1, rt2, evscal, cs1, sn1)
CLAESY computes the eigenvalues and eigenvectors of a 2-by-2 complex symmetric matrix.
subroutine zlaesy (a, b, c, rt1, rt2, evscal, cs1, sn1)
ZLAESY computes the eigenvalues and eigenvectors of a 2-by-2 complex symmetric matrix.

Detailed Description

Function Documentation

  subroutine claesy (complex a, complex b, complex c, complex rt1, complex rt2, complex evscal, complex cs1, complex sn1)

CLAESY computes the eigenvalues and eigenvectors of a 2-by-2 complex symmetric matrix.

Purpose:

    !>
    !> CLAESY computes the eigendecomposition of a 2-by-2 symmetric matrix
    !>    ( ( A, B );( B, C ) )
    !> provided the norm of the matrix of eigenvectors is larger than
    !> some threshold value.
    !>
    !> RT1 is the eigenvalue of larger absolute value, and RT2 of
    !> smaller absolute value.  If the eigenvectors are computed, then
    !> on return ( CS1, SN1 ) is the unit eigenvector for RT1, hence
    !>
    !> [  CS1     SN1   ] . [ A  B ] . [ CS1    -SN1   ] = [ RT1  0  ]
    !> [ -SN1     CS1   ]   [ B  C ]   [ SN1     CS1   ]   [  0  RT2 ]
    !>

Parameters
    A

    !>          A is COMPLEX
    !>          The ( 1, 1 ) element of input matrix.
    !>

    B

    !>          B is COMPLEX
    !>          The ( 1, 2 ) element of input matrix.  The ( 2, 1 ) element
    !>          is also given by B, since the 2-by-2 matrix is symmetric.
    !>

    C

    !>          C is COMPLEX
    !>          The ( 2, 2 ) element of input matrix.
    !>

    RT1

    !>          RT1 is COMPLEX
    !>          The eigenvalue of larger modulus.
    !>

    RT2

    !>          RT2 is COMPLEX
    !>          The eigenvalue of smaller modulus.
    !>

    EVSCAL

    !>          EVSCAL is COMPLEX
    !>          The complex value by which the eigenvector matrix was scaled
    !>          to make it orthonormal.  If EVSCAL is zero, the eigenvectors
    !>          were not computed.  This means one of two things:  the 2-by-2
    !>          matrix could not be diagonalized, or the norm of the matrix
    !>          of eigenvectors before scaling was larger than the threshold
    !>          value THRESH (set below).
    !>

    CS1

    !>          CS1 is COMPLEX
    !>

    SN1

    !>          SN1 is COMPLEX
    !>          If EVSCAL .NE. 0,  ( CS1, SN1 ) is the unit right eigenvector
    !>          for RT1.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine zlaesy (complex*16 a, complex*16 b, complex*16 c, complex*16 rt1, complex*16 rt2, complex*16 evscal, complex*16 cs1, complex*16 sn1)

ZLAESY computes the eigenvalues and eigenvectors of a 2-by-2 complex symmetric matrix.

Purpose:

    !>
    !> ZLAESY computes the eigendecomposition of a 2-by-2 symmetric matrix
    !>    ( ( A, B );( B, C ) )
    !> provided the norm of the matrix of eigenvectors is larger than
    !> some threshold value.
    !>
    !> RT1 is the eigenvalue of larger absolute value, and RT2 of
    !> smaller absolute value.  If the eigenvectors are computed, then
    !> on return ( CS1, SN1 ) is the unit eigenvector for RT1, hence
    !>
    !> [  CS1     SN1   ] . [ A  B ] . [ CS1    -SN1   ] = [ RT1  0  ]
    !> [ -SN1     CS1   ]   [ B  C ]   [ SN1     CS1   ]   [  0  RT2 ]
    !>

Parameters
    A

    !>          A is COMPLEX*16
    !>          The ( 1, 1 ) element of input matrix.
    !>

    B

    !>          B is COMPLEX*16
    !>          The ( 1, 2 ) element of input matrix.  The ( 2, 1 ) element
    !>          is also given by B, since the 2-by-2 matrix is symmetric.
    !>

    C

    !>          C is COMPLEX*16
    !>          The ( 2, 2 ) element of input matrix.
    !>

    RT1

    !>          RT1 is COMPLEX*16
    !>          The eigenvalue of larger modulus.
    !>

    RT2

    !>          RT2 is COMPLEX*16
    !>          The eigenvalue of smaller modulus.
    !>

    EVSCAL

    !>          EVSCAL is COMPLEX*16
    !>          The complex value by which the eigenvector matrix was scaled
    !>          to make it orthonormal.  If EVSCAL is zero, the eigenvectors
    !>          were not computed.  This means one of two things:  the 2-by-2
    !>          matrix could not be diagonalized, or the norm of the matrix
    !>          of eigenvectors before scaling was larger than the threshold
    !>          value THRESH (set below).
    !>

    CS1

    !>          CS1 is COMPLEX*16
    !>

    SN1

    !>          SN1 is COMPLEX*16
    !>          If EVSCAL .NE. 0,  ( CS1, SN1 ) is the unit right eigenvector
    !>          for RT1.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.